import React from 'react';
import { Input } from 'antd';
import styles from './styles.less';

export default function(props) {
    const value = props.value || {};
    const { maxLength } = props;
    return (
        <div className={styles.container}>
            <Input.TextArea className={styles.input} {...props} autosize={{ minRows: 3 }}></Input.TextArea>
            {maxLength ? (
                <span className={styles.wordNumber}>
                    已输入{(value || '').length || 0}/{maxLength}
                </span>
            ) : null}
        </div>
    );
}
